%define __kde4_alternate_placement 1

%def_disable okular_msits

%define rname kdegraphics
Name: kde4graphics
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Graphics Applications
License: GPLv2
Url: http://www.kde.org

Requires: %name-core = %version-%release
Requires: %name-kgamma = %version-%release
Requires: %name-kamera = %version-%release
Requires: %name-okular = %version-%release
Requires: %name-gwenview = %version-%release
Requires: %name-kcolorchooser = %version-%release
Requires: %name-kolourpaint = %version-%release
Requires: %name-kruler = %version-%release
Requires: %name-ksnapshot = %version-%release


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar

BuildRequires: gcc-c++ libqimageblitz-devel libexiv2-devel ghostscript-lib
%if_enabled okular_msits
BuildRequires: libchm-devel
%endif
BuildRequires: libgphoto2-devel libpoppler-qt4-devel bzlib-devel
BuildRequires: libdjvu-devel libsane-devel libjpeg-devel libqca2-devel
#BuildRequires: libkipi-devel
BuildRequires: libspectre-devel liblcms-devel
BuildRequires: kde4libs-devel >= %version

%description
Graphical tools for the K Desktop Environment.
Collection of graphic oriented applications
* gwenview
    Image viewer.
* kamera
    Digital camera io_slave for Konqueror. Together gPhoto this allows you
    to access your camera's picture with the URL kamera:/
* kfile-plugins
    Provide meta information for graphic files.
* kolourpaint
    An easy-to-use paint program designed for everyday tasks like drawing
    simple diagrams/logos/icons and editing screenshots.
* kruler
    A ruler in inch, centimeter and pixel to check distances on the screen.
* ksnapshot
    Make snapshots of the screen contents.
* libkscan
    Library to access scanners used by kooka (and koffice), needs SANE to be
    used
* okular
    Document viewer; support different kinds of documents.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package -n libksane4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libksane4
KDE 4 core library.

%package -n libokularcore4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libokularcore4
KDE 4 core library.

%package -n libkolourpaint4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkolourpaint4
KDE 4 core library.

%package -n libgwenview4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libgwenview4
KDE 4 core library.

%package kgamma
Summary: kgamma color profiling
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kgamma
kgamma color profiling

%package kamera
Summary: KDE kamera ioslave
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kamera
Digital camera io_slave for Konqueror. Together gPhoto this allows you
to access your camera's picture with the URL kamera:/

%package okular
Summary: KDE document viewer
Group: Office
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-core = %version-%release
%description okular
Document viewer; support different kinds of documents.

%package gwenview
Summary: KDE image viewer
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description gwenview
KDE image viewer

%package kcolorchooser
Summary: KDE color chooser
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kcolorchooser
KDE color chooser

%package kolourpaint
Summary: KDE paint program
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kolourpaint
An easy-to-use paint program designed for everyday tasks like drawing
simple diagrams/logos/icons and editing screenshots.

%package kruler
Summary: KDE screen ruler
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description kruler
A ruler in inch, centimeter and pixel to check distances on the screen.

%package ksnapshot
Summary: KDE screenshots maker
Group: Graphics
Requires: %{get_dep kde4libs}
Requires: %name-core = %version-%release
%description ksnapshot
Make snapshots of the screen contents.

%package -n libkipi4-common
Summary: Non-library files for the kipi library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkipi4-common
Non-library files for the kipi library

%package -n libkipi4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: libkipi4-common = %version-%release
%description -n libkipi4
KDE 4 core library.

%package -n libkdcraw4-common
Summary: Non-library files for the kdcraw library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkdcraw4-common
Non-library files for the kdcraw library

%package -n libkdcraw4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: libkdcraw4-common = %version-%release
%description -n libkdcraw4
KDE 4 core library.

%package -n libkexiv24
Summary: KDE 4 core library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkexiv24
KDE 4 core library.

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.


%prep
%setup -q -n %rname-%version
sed -i "s|dcraw\.c|dcraw.cpp|g" libs/libkdcraw/dcraw/CMakeLists.txt
mv libs/libkdcraw/dcraw/dcraw.c libs/libkdcraw/dcraw/dcraw.cpp


%build
%K4build


%install
%K4install


%post -n libokularcore4
%post_ldconfig
%postun -n libokularcore4
%postun_ldconfig

%post -n libgwenview4
%post_ldconfig
%postun -n libgwenview4
%postun_ldconfig

%post -n libkolourpaint4
%post_ldconfig
%postun -n libkolourpaint4
%postun_ldconfig

%post -n libkdcraw4
%post_ldconfig
%postun -n libkdcraw4
%postun_ldconfig

%post -n libkipi4
%post_ldconfig
%postun -n libkipi4
%postun_ldconfig

%post -n libkexiv24
%post_ldconfig
%postun -n libkexiv24
%postun_ldconfig


%files
%files common
%doc README

%files core
%_K4lib/gsthumbnail.so
%_K4lib/svgpart.so
%_K4apps/svgpart/svgpart.rc
%_K4srv/svgpart.desktop
%_K4libdir/strigi/*
%_K4srv/gsthumbnail.desktop
%_K4lib/ksaneplugin.so
%__kde4_iconsdir/hicolor/*/actions/black-white.*
%__kde4_iconsdir/hicolor/*/actions/color.*
%__kde4_iconsdir/hicolor/*/actions/gray-scale.*
%_K4srv/ksane_scan_service.desktop

%files -n libkdcraw4-common
%_K4apps/libkdcraw/
%__kde4_iconsdir/hicolor/*/apps/kdcraw.*

%files -n libkipi4-common
%_K4apps/kipi/
%__kde4_iconsdir/hicolor/*/apps/kipi.*
%_K4srvtyp/kipiplugin.desktop

%files -n libkdcraw4
%_K4libdir/libkdcraw5/
%_K4libdir/libkdcraw.so.*

%files -n libkipi4
%_K4libdir/libkipi.so.*

%files -n libkexiv24
%_K4libdir/libkexiv2.so.*

%files -n libksane4
%_K4libdir/libksane.so.*

%files -n libokularcore4
%_K4libdir/libokularcore.so.*

%files -n libgwenview4
%_K4libdir/libgwenviewlib.so.*

%files -n libkolourpaint4
%_K4libdir/libkolourpaint_lgpl.so.*

%files kgamma
%_K4lib/*_kgamma.*
%_K4apps/kgamma
%_K4srv/kgamma*
%__kde4_iconsdir/hicolor/*/apps/kgamma.*
%__kde4_doc/*/kgamma

%files kamera
%__kde4_doc/en/kamera/
%_K4lib/*_kamera.*
%_K4srv/camera*
%_K4srv/kamera*

%files okular
%__kde4_bindir/okular
%__kde4_bindir/xf86gammacfg
%_K4lib/okularGenerator_*
%_K4lib/okularpart.so
%if_enabled okular_msits
%_K4lib/kio_msits.so
%endif
%__kde4_xdg_apps/okular*
%_K4apps/okular
%_K4cfg/okular.kcfg
%_K4cfg/gssettings.kcfg
%_K4conf/okular.knsrc
%_K4srv/libokularGenerator_*
%_K4srv/okular*
%if_enabled okular_msits
%_K4srv/msits*
%endif
%_K4srvtyp/okularGenerator.desktop
%__kde4_iconsdir/hicolor/*/apps/okular.*
%__kde4_doc/en/okular/

%files gwenview
%__kde4_bindir/gwenview
%_K4lib/gvpart.so
%_K4apps/gvpart/gvpart.rc
%_K4apps/gwenview/
%_K4apps/gvpart/
%_K4srv/gvpart.desktop
%_K4srv/ServiceMenus/slideshow.desktop
%__kde4_xdg_apps/gwenview.desktop
#%_K4iconsdir/oxygen/*/apps/gwenview.*
%__kde4_iconsdir/hicolor/*/apps/gwenview.*
%__kde4_doc/*/gwenview

%files kcolorchooser
%__kde4_bindir/kcolorchooser
%__kde4_xdg_apps/kcolorchooser.desktop
%__kde4_iconsdir/*/*/*/kcolorchooser*

%files kolourpaint
%__kde4_bindir/kolourpaint
%__kde4_xdg_apps/kolourpaint.desktop
%_K4apps/kolourpaint
%__kde4_iconsdir/hicolor/*/apps/kolourpaint.*
%__kde4_doc/en/kolourpaint/

%files kruler
%__kde4_bindir/kruler
%__kde4_xdg_apps/kruler.desktop
%_K4apps/kruler
#%_K4iconsdir/oxygen/*/apps/kruler.*
%__kde4_iconsdir/hicolor/*/apps/kruler.*
%__kde4_doc/*/kruler

%files ksnapshot
%__kde4_bindir/kbackgroundsnapshot
%__kde4_bindir/ksnapshot
%__kde4_xdg_apps/ksnapshot.desktop
%__kde4_iconsdir/hicolor/*/apps/ksnapshot.*
%_K4dbus_interfaces/org.kde.ksnapshot.xml
%__kde4_doc/*/ksnapshot

%files devel
%_libdir/pkgconfig/*.pc
%__kde4_libdir_link/libgwenviewlib.so
%__kde4_libdir_link/libkolourpaint_lgpl.so
%__kde4_libdir_link/libokularcore.so
%__kde4_libdir_link/libksane.so
%__kde4_libdir_link/libkdcraw.so
%__kde4_libdir_link/libkexiv2.so
%__kde4_libdir_link/libkipi.so
%_K4includedir/*
%_K4apps/cmake/*/*


%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version
- built okular without msits:/ (.chm) support

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Mon May 12 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt2
- okular built with libspectre

* Wed May 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Fri Mar 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile

